From 9a21a885b2b49d56eb2b0b2f81551daab2838ef8 Mon Sep 17 00:00:00 2001
From: Bakaoh <batatsar@gmail.com>
Date: Fri, 13 Dec 2024 11:14:45 +0700
Subject: [PATCH] Fix nunchuk

---
 src/bytewords.cpp        | 1 +
 src/cbor-lite.hpp        | 1 +
 src/fountain-decoder.cpp | 1 +
 src/random-sampler.cpp   | 1 +
 src/utils.cpp            | 1 +
 src/xoshiro256.cpp       | 1 +
 test/test.cpp            | 1 +
 7 files changed, 7 insertions(+)

diff --git a/src/bytewords.cpp b/src/bytewords.cpp
index 34e9d4edc7c4bb0df0897c54574ede0aac3a5c2a..b002dc5ec7dbb3e343dd9628d004ac3368417ffd 100644
--- a/src/bytewords.cpp
+++ b/src/bytewords.cpp
@@ -9,6 +9,7 @@
 #include "utils.hpp"
 #include <stdexcept>
 #include <algorithm>
+#include <iterator>
 
 namespace ur {
 
diff --git a/src/cbor-lite.hpp b/src/cbor-lite.hpp
index 945b6d5ef2800e95fe63f45fca9e0e26a9c05285..f42326ebf9c1fd3161db36286730db6326b81cff 100644
--- a/src/cbor-lite.hpp
+++ b/src/cbor-lite.hpp
@@ -11,6 +11,7 @@
 #include <exception>
 #include <iterator>
 #include <string>
+#include <cstdint>
 #include <type_traits>
 
 #ifndef __BYTE_ORDER__
diff --git a/src/fountain-decoder.cpp b/src/fountain-decoder.cpp
index e236062282ec2a703c932028ffffda95ed5a0d26..4918e6670c884574ca5669ed279e0364db97ada1 100644
--- a/src/fountain-decoder.cpp
+++ b/src/fountain-decoder.cpp
@@ -12,6 +12,7 @@
 #include <string>
 #include <cmath>
 #include <numeric>
+#include <iterator>
 
 using namespace std;
 
diff --git a/src/random-sampler.cpp b/src/random-sampler.cpp
index 7822d6ecdab3dcd3086e7d5992a83cd0b2f48524..df630ecbe9d21a8d3a4659cfa6ec659debeb9bb6 100644
--- a/src/random-sampler.cpp
+++ b/src/random-sampler.cpp
@@ -9,6 +9,7 @@
 #include <numeric>
 #include <algorithm>
 #include <assert.h>
+#include <iterator>
 
 using namespace std;
 
diff --git a/src/utils.cpp b/src/utils.cpp
index 1f1c0e35330ab9783995a3d266c240aec460fd53..9e6d0e36924d0e8f8f72e7d8e1fba0d7fdafefdb 100644
--- a/src/utils.cpp
+++ b/src/utils.cpp
@@ -18,6 +18,7 @@ extern "C" {
 #include <sstream>
 #include <algorithm>
 #include <cctype>
+#include <iterator>
 
 using namespace std;
 
diff --git a/src/xoshiro256.cpp b/src/xoshiro256.cpp
index 7e87833d5a0951e1bd5e7eae391cfdd2ab3e9867..2f40b8bcd394bf7df13d3e28cab1c817ee886d1f 100644
--- a/src/xoshiro256.cpp
+++ b/src/xoshiro256.cpp
@@ -7,6 +7,7 @@
 
 #include "xoshiro256.hpp"
 #include <limits>
+#include <cstring>
 
 /*  Written in 2018 by David Blackman and Sebastiano Vigna (vigna@acm.org)
 
diff --git a/test/test.cpp b/test/test.cpp
index b68b0d2d8ed322f6c5816ec1d3c72eef34737936..b63d3c3dcf1629a5514d77639980a6e7862ed7b4 100644
--- a/test/test.cpp
+++ b/test/test.cpp
@@ -10,6 +10,7 @@
 #include <algorithm>
 #include <numeric>
 #include <assert.h>
+#include <iterator>
 
 #include "../src/bc-ur.hpp"
 #include "test-utils.hpp"
